
declare
	V_CREANCIER_PERSID grhum.personne.pers_id%type;
	V_TENEUR_COMPTE_CODIQUE VARCHAR2(7);
	V_TENEUR_COMPTE_IBAN VARCHAR2(34);
	V_TENEUR_COMPTE_BIC VARCHAR2(11);
	V_TRANSFERT_ID VARCHAR2(8);
	V_DFT_TITULAIRE VARCHAR2(70);
	V_EMETTEUR_NOM VARCHAR2(70);
	V_DFT_IBAN VARCHAR2(34);

begin
	-- ULR
	V_CREANCIER_PERSID := 33056; 
	V_TENEUR_COMPTE_CODIQUE := '0170000';
	V_TENEUR_COMPTE_IBAN := 'FR433000100695A174000000032';
	V_DFT_IBAN := 'FR7610071170000000100212711';
	V_TENEUR_COMPTE_BIC := 'BDFEFRPPXXX';
	V_TRANSFERT_ID := 'TGDFT017';
	V_DFT_TITULAIRE := 'Université de La Rochelle';
	V_EMETTEUR_NOM := 'Agent Comptable ULR';
	
	--JFC
	--V_CREANCIER_PERSID := 2;
	--V_TENEUR_COMPTE_CODIQUE := '0810000';
	--V_TENEUR_COMPTE_IBAN := 'FR693000100116A814000000052';
	--V_DFT_IBAN := 'FR7610071810000000100025510';
	--V_TENEUR_COMPTE_BIC := 'BDFEFRPPCCT';
	--V_TRANSFERT_ID := 'TGDFT081';
	--V_DFT_TITULAIRE := 'Centre universitaire Jean François Champollion';
	--V_EMETTEUR_NOM := 'Agent Comptable JFC';


Insert into maracuja.SEPA_SDD_PARAM (ID_SEPA_SDD_PARAM,TREC_ORDRE,TENEUR_COMPTE_NOM,TENEUR_COMPTE_BIC,TENEUR_COMPTE_IBAN,TENEUR_COMPTE_CODIQUE,DFT_IBAN,DFT_TITULAIRE,EMETTEUR_NOM,
TRANSFERT_ID,DEVISE,CREANCIER_ICS,CREANCIER_PERS_ID,ETAT) values
('1','2','DDGFIP',V_TENEUR_COMPTE_BIC,V_TENEUR_COMPTE_IBAN,V_TENEUR_COMPTE_CODIQUE,V_DFT_IBAN,V_DFT_TITULAIRE,V_EMETTEUR_NOM,V_TRANSFERT_ID,'EUR','FR44ZZZ214214',V_CREANCIER_PERSID,'VALIDE');

commit;
end;